capture log close
log using wflec-add-data-russia4-analysis, replace text
version 13.1
clear all
set linesize 80
macro drop _all
set scheme s1manual

//  WF lectures: adding - russia 4, analysis

local pgm wflec-add-data-russia4
local dte 2017-06-19
local who Scott Long
local tag "`pgm'.do `who' `dte'"

//  #1 load data

use wflec-russia04, replace
datasignature confirm

//  #2 dataset revisions during for analysis

gen agesq = age*age
lab var agesq "age*age"
note agesq: `tag'

//  #3 cleanup and save

local savename wflec-russia05.dta
sort id
quietly compress
label data "`savename' | Russia adding example step 4 | `dte'"
note: `savename' / `tag'
datasignature set, reset
save `savename', replace

codebook, compact

//  #5 check the changes

capture noisily cf _all using wflec-russia04.dta

log close
exit
