capture log close
log using wflec-analysis-collect-desc, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: analysis - collect descriptive statistics for matrix

local pgm wflec-analysis-collect-desc
local dte 2017-06-19
local who Scott Long
local tag "`pgm'.do `who' `dte'"

//  #1 load data

use wf-tenure, clear
datasignature confirm
keep if sampleis

//  #2 define groups of variables

local varset "tenure female year yearsq select prestige articles"

//  #3 set up matrix

capture matrix drop statmat // delete in case it already exists
local ncols = 5 // for mean sd min max and n
matrix vec = J(1,`ncols',-999)
matrix colnames vec = Mean StdDev Min Max N

//  #3 loop through variables

foreach var in `varset' {

    quietly sum `var'
    * add returns to vector
    matrix vec[1,1] = r(mean)
    matrix vec[1,2] = r(sd)
    matrix vec[1,3] = r(min)
    matrix vec[1,4] = r(max)
    matrix vec[1,5] = r(N)
    * add vector to bottom of statmat
    matrix statmat = nullmat(statmat) \ vec
}

//  #4 list results

matrix rownames statmat = `varset'
matlist statmat

log close
exit
