capture log close
log using wflec-analysis-dual-data, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: analysis using dual workflow
//  1st data run - create identical dataset for analysis

local pgm wflec-analysis-dual-data
local who Scott Long
local dte 2017-06-19
local tag "`pgm'.do `who' `dte'"

//  #1 load current version of dataset

use wf-lfp
datasignature confirm
codebook, compact

//  #2 create new variables here if they are needed

//  #3 save the version of the dataset used in analysis do-files

local savename "wflec-dual.dta"
compress
label data "dual of wf-lfp to use during analysis | `dte'"
note: `savename' / `tag' / updated dataset during data analysis
datasignature set, reset
save `savename', replace
notes

log close
exit

