capture log close
log using wflec-auto-returns, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: automation - returns examples

global pgm wflec-auto-returns
global dte 2017-06-17
global who Scott Long
global tag "$pgm.do $who $dte"

//  #1 r-returns

use wf-lfp
sum age
return list
local agemean = r(mean)
di "Mean: `agemean'"

//  #2 e-returns

logit lfp k5 k618 age wc hc lwg inc
ereturn list

//  #3 centering age to have mean 0

summarize age

* hard code the mean
gen age_mean = age - 42.53785
summarize age_mean

* use the return
summarize age
return list
gen age_meanV2 = age - r(mean)
summarize age_mean age_meanV2

* more precision
summarize age
gen double age_meanV3 = age - r(mean)
label var age_meanV3 "age - mean(age) using double precision"
summarize age_mean age_meanV2 age_meanV3

//  #4 standardize age

gen double age_std = (age - r(mean))/r(sd)
label var age_std "age standardized"

sum age age_std

//  #4 move returns to locals and display

local mn = r(mean)
local sd = r(sd)
local N = r(N)

* without formatting
di "Mean = `mn'" _col(25) "SD = `sd'" _col(50) "N = `N'"

* with formatting
di "Mean = " %10.3f `mn' _col(25) "SD = " %10.3f `sd' _col(50) "N = `N'"

log
exit
