capture log close
log using wflec-data-merge02-1to1, replace text
version 13.1
clear all
set linesize 80
macro drop _all
set scheme s1manual

//  WF lectures: datasets - merge one to one by observation

local pgm wflec-data-merge02
local dte 2017-06-17
local who Scott Long
local tag "`pgm'.do `who' `dte'"

//  #1 check signatures and load the master dataset

use wf-lfp, clear
datasignature confirm
summarize

use wf-acpub, clear
datasignature confirm
summarize

//  #2 load the master dataset and merge with the using dataset

use wf-lfp, clear
merge 1:1 _n using wf-acpub

//  #3 clean up and save

local dsn "wflec-data-merge02"
drop _merge
quietly compress
label data "`dsn'.dta | match merge by observation | `dte'"
note: `dsn'.dta / `tag' / example of match merging
datasignature set, reset
save `dsn', replace

log close
exit
