capture log close
log using wflec-data-provenance1, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: dataset- provenance version 1 of data saved

local pgm wflec-data-provenance1
local dte 2017-06-17
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 check signatures and load the master dataset

use wf-lfp, clear
datasignature confirm

//  #2 create k5 indicators

gen k5_0 = (k5==0) & !missing(k5)
gen k5_1 = (k5==1) & !missing(k5)
gen k5_2 = (k5==2) & !missing(k5)
gen k5_3 = (k5==3) & !missing(k5)
label var k5_0 "(k5==0)"
label var k5_1 "(k5==1)"
label var k5_2 "(k5==2)"
label var k5_3 "(k5==3)"
note k5_0: `tag'
note k5_1: `tag'
note k5_2: `tag'
note k5_3: `tag'

//  #3 save merged file

local savename "wflec-data-provenance1"
quietly compress
label data "Step 1 | `tag'"
note: `savename'.dta / `tag' / k5 indicators
datasignature set, reset
save `savename', replace

log close
exit
