capture log close
log using wflec-data-provenance3, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: dataset - provenance version 3 of data saved

local pgm wflec-data-provenance3
local dte 2017-06-17
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 check signatures and load the master dataset

use wflec-data-provenance2, clear
datasignature confirm

//  #2 create wages

gen wages = exp(lwg) if !missing(lwg)
label var wages "Wife's estiamted wages"
note wages: `tag'

//  #3 save file

local savename "wflec-data-provenance3"
quietly compress
label data "Step 3 | `tag'"
note: `savename'.dta / `tag' / add wages
datasignature set, reset
save `savename', replace

notes _dta

log close
exit
