capture log close
log using wflec-do-step1V2-robust, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: do-file - step 1 in pair of robust do-files

local pgm wflec-do-step1V2
local dte 2017-06-16
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 load data

use wf-lfp, clear

// generate new variables

gen hask5 = (k5>0) & (k5<.)
label var hask5 "Has children less than 5 yrs old?"
note hask5: `tag'.

gen hask618 = (k618>0) & (k618<.)
label var hask618 "Has children between 6 and 18 yrs old?"
note hask618: `tag'.

//  #2 save data

local dsn "wflec-do-lfp2"
quietly compress
label data "example of robust do-files | `tag'"
note: `dsn'.dta / `tag'
datasignature set, reset
saveold `dsn', replace

log close
exit
