capture log close
log using wflec-dual-stat06-lpoly, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: dual workflow - stat 06 lpoly against age and income

local pgm wflec-dual-stat06-lpoly
local dte 2017-06-16
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 setup

use wflec-dual-data04, clear
datasignature confirm

//  #2 specify variable sets

local lhsvars BNwarm BNkidsuf BNfamsuf BNnotboth BNjobsat BNindep ///
    prowrkSS prowrkIRT

local m1rhs female age married logfaminc
local m2rhs `m1rhs' highered fulltime
local m3rhs `m2rhs' momworks kidsnone
local regvars `m3rhs'

//  #3 select sample with BHwarm

* require all rhs variables to be nonmissing
qui reg `regvars' // quick way to select listwise deletion sample
keep if e(sample)

//  #4 lpoly age

foreach lhsvar in `lhsvars' {

    lpoly `lhsvar' age, msym(oh)
    graph export `pgm'-`lhsvar'-age.png, replace width(1000)

}

//  #5 lpoly logfaminc

foreach lhsvar in `lhsvars' {

    lpoly `lhsvar' logfaminc, msym(oh)
    graph export `pgm'-`lhsvar'-loginc.png, replace width(1000)

}

log close
exit
