capture log close
log using wflec-present-provenance-caption, replace text
version 14.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lecctures: present - adding a caption to show graph
local pgm wflec-present-provenance-caption
local dte 2017-06-20
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 create data to plot

clear
set obs 501
generate articles = _n - 1
label var articles "Number of publications"

* art_root# = (articles)^(1/#)
forvalues r = 1(1)5 {
    * take to the 1/r power
    gen art_root`r' = articles^(1/`r')
    label var art_root`r' "articles^(1/`r')"
}
label var art_root2 "2nd root"
label var art_root3 "3rd root"
label var art_root4 "4th root"
label var art_root5 "5th root"

//  #2 plot without caption

twoway (line art_root2 art_root3 art_root4 art_root5 articles, ///
    lwid(medium) lcol(red orange green blue)), ///
    ytitle(Number of Publications to the k-th Root) ///
    yscale(range(0 8.)) legend(pos(11) rows(4) ring(0))
graph export `pgm'-without.eps, replace
graph export `pgm'-without.emf, replace

//  #3 plot with caption

twoway (line art_root2 art_root3 art_root4 art_root5 articles, ///
    lwid(medium) lcol(red orange green blue)), ///
    ytitle(Number of Publications to the k-th Root) ///
    yscale(range(0 8.)) legend(pos(11) rows(4) ring(0))              ///
    caption(`pgm'-with.emf | `tag', size(vsmall))
graph export `pgm'-with.eps, replace
graph export `pgm'-with.emf, replace

log close
exit